--
--
--***************************************************************************************
--	The following two (2) SELECTs generate the required SQL stmts for reorganizing (REORG)
--	& updating RUNSTAT per table & associated table indexes
--
--***************************************************************************************

--select 'REORG TABLE ' || rtrim(tabschema) || '.' || tabname || ' INDEX ' ||
--rtrim(tabschema) || '.' || IndName || ' USE TEMPSPACE32K;' from syscat.indexes where tabschema =
--'DB2DEV' and indextype = 'CLUS' order by tabname;

--select 'RUNSTATS ON TABLE ' || rtrim(tabschema) || '.' || tabname || ' AND
--DETAILED INDEXES ALL SHRLEVEL CHANGE;' from syscat.tables where tabschema = 'DB2DEV' order by
--tabname;


--connect to qa user db2dev using db2dev;
--db2 prune logfile prior to
--db2expln -c db2dev -d pmodbqa -g -i -o explain3.txt -p % -s 0



CONNECT TO DBNAME USER USERNAME USING USERPASSWD;

REORG TABLE DBSCHEMA.ACTIVITIES INDEX DBSCHEMA.ACTVT_TAID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                           
REORG TABLE DBSCHEMA.ALERT_MESSAGES INDEX DBSCHEMA.ALMSG_ALID_LC_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.ASSET_CROSS_CHARGE INDEX DBSCHEMA.ASTCC_AIPI_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                   
REORG TABLE DBSCHEMA.ASSET_DEPRECIATION INDEX DBSCHEMA.ASDEP_EID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.ASSET_MAINTENANCE INDEX DBSCHEMA.ASMTN_EID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                     
REORG TABLE DBSCHEMA.ASSET_ORGANIZATIONS INDEX DBSCHEMA.ORG_ASSORG_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                  
REORG TABLE DBSCHEMA.ASSET_REFERENCES INDEX DBSCHEMA.ASSETREF_EID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                   
REORG TABLE DBSCHEMA.ASSET_RESOURCES INDEX DBSCHEMA.RS_ASSRES_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                       
REORG TABLE DBSCHEMA.ASSET_RTF INDEX DBSCHEMA.ASSETRT_EID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                           
REORG TABLE DBSCHEMA.BUDGETS INDEX DBSCHEMA.BDGTS_EBCID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                             
REORG TABLE DBSCHEMA.CALENDAR_DAY_OF_YEAR INDEX DBSCHEMA.CLDYR_EID_DY_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                               
REORG TABLE DBSCHEMA.CALENDAR_EXCEPTIONS INDEX DBSCHEMA.CLDEX_CLR_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                   
REORG TABLE DBSCHEMA.CLIENT_REFERENCES INDEX DBSCHEMA.CLIENTREF_EID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                 
REORG TABLE DBSCHEMA.CLIENT_RTF INDEX DBSCHEMA.CLIENTRT_EID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                         
REORG TABLE DBSCHEMA.COST_APPROVAL_STATUS INDEX DBSCHEMA.IDX_CAS0 USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                      
REORG TABLE DBSCHEMA.CRIDEPENDENCIES INDEX DBSCHEMA.CRDPN_PPSPID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.CRI_RTF INDEX DBSCHEMA.CRIRT_EID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                               
REORG TABLE DBSCHEMA.DEPENDENCIES INDEX DBSCHEMA.DPNXX_PPSPID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                       
REORG TABLE DBSCHEMA.DOCUMENT_BLOBS INDEX DBSCHEMA.DCBLB_EID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                        
REORG TABLE DBSCHEMA.DOC_RTF INDEX DBSCHEMA.DOCRT_EID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                               
REORG TABLE DBSCHEMA.EFFORT_WEEK INDEX DBSCHEMA.IDX_EW0 USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                                
REORG TABLE DBSCHEMA.FAVORITE_ACTIVITIES INDEX DBSCHEMA.FVACT_RPJID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                 
REORG TABLE DBSCHEMA.FISCAL_CALENDAR INDEX DBSCHEMA.FY_Y_M USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                             
REORG TABLE DBSCHEMA.FS_XML_MONITOR INDEX DBSCHEMA.FSXMN_RDT_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                        
REORG TABLE DBSCHEMA.HISTORY_ASSETS INDEX DBSCHEMA.HSASX_EID_RDT_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.HISTORY_ASSET_DOCUMENTS INDEX DBSCHEMA.HASSD_EID_MJIRV_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                         
REORG TABLE DBSCHEMA.HISTORY_ASSET_RTF INDEX DBSCHEMA.HSASR_EID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                     
REORG TABLE DBSCHEMA.HISTORY_CLIENTS INDEX DBSCHEMA.HSCLX_EID_RDT_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                   
REORG TABLE DBSCHEMA.HISTORY_CLIENT_DOCUMENTS INDEX DBSCHEMA.HCLID_EID_MJIRV_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                        
REORG TABLE DBSCHEMA.HISTORY_CLIENT_RTF INDEX DBSCHEMA.HSCLR_EID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.HISTORY_CRI INDEX DBSCHEMA.HSCRI_EID_RDT_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                       
REORG TABLE DBSCHEMA.HISTORY_CRI_RTF INDEX DBSCHEMA.HSCRT_EID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                       
REORG TABLE DBSCHEMA.HISTORY_DOCUMENTS INDEX DBSCHEMA.HSDOC_EID_MJIRV_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                               
REORG TABLE DBSCHEMA.HISTORY_DOC_RTF INDEX DBSCHEMA.HSDCR_EID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                       
REORG TABLE DBSCHEMA.HISTORY_POOLS INDEX DBSCHEMA.HSPLX_EID_RDT_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                     
REORG TABLE DBSCHEMA.HISTORY_POOL_DOCUMENTS INDEX DBSCHEMA.HPOOLD_EID_RV_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                            
REORG TABLE DBSCHEMA.HISTORY_RESOURCE_DOCUMENTS INDEX DBSCHEMA.HRD_EID_MJIRV_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                        
REORG TABLE DBSCHEMA.HISTORY_VENDORS INDEX DBSCHEMA.HSVNX_EID_RDT_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                   
REORG TABLE DBSCHEMA.HISTORY_VENDOR_DOCUMENTS INDEX DBSCHEMA.HVEND_EID_MJIRV_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                        
REORG TABLE DBSCHEMA.HISTORY_WBS INDEX DBSCHEMA.HSWBS_EID_RDT_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                       
REORG TABLE DBSCHEMA.HISTORY_WBS_RTF INDEX DBSCHEMA.HSWBR_EID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                       
REORG TABLE DBSCHEMA.LEVEL_TASK_DAY_OF_YEAR INDEX DBSCHEMA.LTKDYR_PJTAID_DYCU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                          
REORG TABLE DBSCHEMA.POOL_REFERENCES INDEX DBSCHEMA.PLREF_EID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                       
REORG TABLE DBSCHEMA.PROFILES INDEX DBSCHEMA.PRFLS_PJPFID_NM_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                        
REORG TABLE DBSCHEMA.PROJECT_ALERTS INDEX DBSCHEMA.PJALT_PJALID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                     
REORG TABLE DBSCHEMA.PROJECT_ASSIGNMENTS INDEX DBSCHEMA.PJASG_RPJID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                 
REORG TABLE DBSCHEMA.PROJECT_CHARGEBACK INDEX DBSCHEMA.CHAGB_EBCID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                  
REORG TABLE DBSCHEMA.PROJECT_COSTBACK INDEX DBSCHEMA.COSTB_EBCID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.PROJECT_DISCOUNT INDEX DBSCHEMA.PRDIC_EID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                      
REORG TABLE DBSCHEMA.RATES INDEX DBSCHEMA.RTSXX_RTID_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                                
REORG TABLE DBSCHEMA.RESOURCE_ASSIGNMENTS INDEX DBSCHEMA.RSAS_EID_RT_RID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                            
REORG TABLE DBSCHEMA.RESOURCE_ASSIGN_SKILLS INDEX DBSCHEMA.RSASK_GKID_XU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                               
REORG TABLE DBSCHEMA.RESOURCE_EDUCATION INDEX DBSCHEMA.RSEDU_RID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.RESOURCE_EMPLOYMENT_HISTORY INDEX DBSCHEMA.RSEMH_RID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                           
REORG TABLE DBSCHEMA.RESOURCE_INDUSTRY_EXPERIENCE INDEX DBSCHEMA.RINEX_RID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                          
REORG TABLE DBSCHEMA.RESOURCE_PROJECT_HISTORY INDEX DBSCHEMA.RSPJH_RID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                              
REORG TABLE DBSCHEMA.RESOURCE_READINESS INDEX DBSCHEMA.RSRDN_RID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.SUMMARY_TIMESHEETS INDEX DBSCHEMA.SMRTS_RPJID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                  
REORG TABLE DBSCHEMA.TASK_ASSIGNMENTS INDEX DBSCHEMA.TKASG_PJTRID_BF_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                
REORG TABLE DBSCHEMA.TASK_DAY_OF_YEAR INDEX DBSCHEMA.TKDYR_PJTAID_DY_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                
REORG TABLE DBSCHEMA.TIMESHEET_APPROVAL_STATUS INDEX DBSCHEMA.IDX_TAS0 USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                 
REORG TABLE DBSCHEMA.TMT_ASSETS INDEX DBSCHEMA.TASSET_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                            
REORG TABLE DBSCHEMA.TMT_ASSET_ATTRIBUTES INDEX DBSCHEMA.TASSETA_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                 
REORG TABLE DBSCHEMA.TMT_ASSET_DOCUMENTS INDEX DBSCHEMA.ASSDOC_PRK_RK_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                               
REORG TABLE DBSCHEMA.TMT_ASSIGNED_SCORECARDS INDEX DBSCHEMA.IDX_ASC0 USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                   
REORG TABLE DBSCHEMA.TMT_CALENDARS INDEX DBSCHEMA.TCLND_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                          
REORG TABLE DBSCHEMA.TMT_CHARGECODES INDEX DBSCHEMA.TCHCD_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                        
REORG TABLE DBSCHEMA.TMT_CLIENTS INDEX DBSCHEMA.TCLIENT_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                          
REORG TABLE DBSCHEMA.TMT_CLIENT_ATTRIBUTES INDEX DBSCHEMA.TCLIENTA_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                               
REORG TABLE DBSCHEMA.TMT_CLIENT_DOCUMENTS INDEX DBSCHEMA.CLIDOC_PRK_RK_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                              
REORG TABLE DBSCHEMA.TMT_COMPETENCIES INDEX DBSCHEMA.TCMPT_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                       
REORG TABLE DBSCHEMA.TMT_CONTACTS INDEX DBSCHEMA.TCNTC_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                           
 REORG TABLE DBSCHEMA.TMT_CONTRACTS INDEX DBSCHEMA.TCONTR_RK_CU USE TEMPSPACE32K;                  
 REORG TABLE DBSCHEMA.TMT_COSTS INDEX DBSCHEMA.TCSTS_RK_CU USE TEMPSPACE32K;                       
REORG TABLE DBSCHEMA.TMT_CRI INDEX DBSCHEMA.TCRIX_PRK_RK_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                            
REORG TABLE DBSCHEMA.TMT_CRI_ATTRIBUTES INDEX DBSCHEMA.TCRIA_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                     
REORG TABLE DBSCHEMA.TMT_DATAFIELDS INDEX DBSCHEMA.TDTFL_TID_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                        
REORG TABLE DBSCHEMA.TMT_DOCUMENTS INDEX DBSCHEMA.TDCMT_PRK_RK_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                      
REORG TABLE DBSCHEMA.TMT_DOCUMENT_ATTRIBUTES INDEX DBSCHEMA.TDOCA_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                
REORG TABLE DBSCHEMA.TMT_DOMAINS INDEX DBSCHEMA.TDOMN_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                            
REORG TABLE DBSCHEMA.TMT_FACTORS INDEX DBSCHEMA.TFCTR_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                            
REORG TABLE DBSCHEMA.TMT_GEOGRAPHIES INDEX DBSCHEMA.TGEOG_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                        
REORG TABLE DBSCHEMA.TMT_GLOBAL_SECURITY INDEX DBSCHEMA.TGLSC_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.TMT_NAB INDEX DBSCHEMA.TNABX_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                                
REORG TABLE DBSCHEMA.TMT_ORGANIZATIONS INDEX DBSCHEMA.TORGN_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                      
REORG TABLE DBSCHEMA.TMT_POOLS INDEX DBSCHEMA.TPOOL_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                              
REORG TABLE DBSCHEMA.TMT_POOL_ATTRIBUTES INDEX DBSCHEMA.TPOLA_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.TMT_POOL_DOCUMENTS INDEX DBSCHEMA.POOLDOC_PRK_RK_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                               
REORG TABLE DBSCHEMA.TMT_PORTFOLIOS INDEX DBSCHEMA.TPRTF_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                         
REORG TABLE DBSCHEMA.TMT_PUBLISHED_SCORECARDS INDEX DBSCHEMA.IDX_PSC0 USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                  
REORG TABLE DBSCHEMA.TMT_REPORT_SECURITY INDEX DBSCHEMA.TRPSC_RK_CU USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                                    
REORG TABLE DBSCHEMA.TMT_RESOURCE_DOCUMENTS INDEX DBSCHEMA.TRD_PRK_RK_CX USE TEMPSPACE32K;                                                                                                                                                                                                                                                                                                                                                               
 REORG TABLE DBSCHEMA.TMT_SCENARIOS INDEX DBSCHEMA.TSCEN_RK_CU USE TEMPSPACE32K;                   
 REORG TABLE DBSCHEMA.TMT_SCORECARDS_DEF_AST INDEX DBSCHEMA.TSCRD_D_A_RK_CU USE TEMPSPACE32K;      
 REORG TABLE DBSCHEMA.TMT_SCORECARDS_DEF_CRI INDEX DBSCHEMA.TSCRD_D_C_RK_CU USE TEMPSPACE32K;      
 REORG TABLE DBSCHEMA.TMT_SCORECARDS_DEF_RES INDEX DBSCHEMA.TSCRD_D_R_RK_CU USE TEMPSPACE32K;      
 REORG TABLE DBSCHEMA.TMT_SCORECARDS_DEF_WBS INDEX DBSCHEMA.TSCRD_D_W_RK_CU USE TEMPSPACE32K;      
 REORG TABLE DBSCHEMA.TMT_TIMECODES INDEX DBSCHEMA.TTMCD_RK_CU USE TEMPSPACE32K;                   
 REORG TABLE DBSCHEMA.TMT_VENDORS INDEX DBSCHEMA.TVENDOR_RK_CU USE TEMPSPACE32K;                   
 REORG TABLE DBSCHEMA.TMT_VENDOR_ATTRIBUTES INDEX DBSCHEMA.TVENDORA_RK_CU USE TEMPSPACE32K;        
 REORG TABLE DBSCHEMA.TMT_VENDOR_DOCUMENTS INDEX DBSCHEMA.VENDOC_PRK_RK_CX USE TEMPSPACE32K;       
 REORG TABLE DBSCHEMA.TMT_WBS INDEX DBSCHEMA.TWBSX_RK_CU USE TEMPSPACE32K;                         
 REORG TABLE DBSCHEMA.TMT_WBS_ATTRIBUTES INDEX DBSCHEMA.TWBSA_RK_CU USE TEMPSPACE32K;              
 REORG TABLE DBSCHEMA.TMT_WORKFLOWS INDEX DBSCHEMA.TWKFL_RK_CU USE TEMPSPACE32K;                   
 REORG TABLE DBSCHEMA.TMT_WORKFLOW_CYCLES INDEX DBSCHEMA.TWFCL_RK_CU USE TEMPSPACE32K;             
 REORG TABLE DBSCHEMA.VENDOR_REFERENCES INDEX DBSCHEMA.VENDORREF_EID_CU USE TEMPSPACE32K;          
 REORG TABLE DBSCHEMA.WBS_RTF INDEX DBSCHEMA.WBSRT_EID_CX USE TEMPSPACE32K;                        
REORG TABLE DBSCHEMA.WORKFLOW_REPLIES INDEX DBSCHEMA.WKFRP_EID_CX USE TEMPSPACE32K;  

--NON CLUSTERED INDEXES TABLES

                       
 REORG TABLE DBSCHEMA.ALERT_MSG_PREDEF_COLUMN;          
 REORG TABLE DBSCHEMA.ASSET_DEPENDENCIES;          
 REORG TABLE DBSCHEMA.CONTRACT_BREAKDOWN;             
 REORG TABLE DBSCHEMA.COST_APPROVAL;                   
 REORG TABLE DBSCHEMA.CURRENCY_EXCHANGES;           
 REORG TABLE DBSCHEMA.DETAIL_TIMESHEETS;                                   
 REORG TABLE DBSCHEMA.HISTORY_ASSIGNED_SCORECARDS;  
 REORG TABLE DBSCHEMA.HISTORY_CALENDARS;                      
 REORG TABLE DBSCHEMA.HISTORY_DOCUMENT_SCORECARDS; 
 REORG TABLE DBSCHEMA.HISTORY_PUBLISHED_SCORECARDS; 
 REORG TABLE DBSCHEMA.HISTORY_RESOURCES;                
 REORG TABLE DBSCHEMA.PDA_LOOKUP;                        
 REORG TABLE DBSCHEMA.PENDING_MONITOR;              
 REORG TABLE DBSCHEMA.PMO_DEFAULTS;                         
 REORG TABLE DBSCHEMA.PROJECT_BUDGET_BREAKDOWN;           
 REORG TABLE DBSCHEMA.PROJECT_CHARGEBACK_BREAKDOWN;       
 REORG TABLE DBSCHEMA.PROJECT_COST_CENTERS;          
 REORG TABLE DBSCHEMA.PROJECT_DETAILS;             
 REORG TABLE DBSCHEMA.PROJECT_RECONCILIATION;         
 REORG TABLE DBSCHEMA.PROJECT_STATE_DEF;                
 REORG TABLE DBSCHEMA.PROJECT_STATE_TRG;                
 REORG TABLE DBSCHEMA.RESOURCES;                    
 REORG TABLE DBSCHEMA.RESOURCE_ASSIGN_ROLES;              
 REORG TABLE DBSCHEMA.RESOURCE_COST_CENTERS;         
 REORG TABLE DBSCHEMA.RM_ASSIGNMENTS;                 
 REORG TABLE DBSCHEMA.STATE_TASK_NEXT_STATE_CNFG; 
 REORG TABLE DBSCHEMA.TIMEPHASED_DELTA;                   
 REORG TABLE DBSCHEMA.TIMEPHASED_PROJECT;                  
 REORG TABLE DBSCHEMA.TMT_SETTINGS;                     
 REORG TABLE DBSCHEMA.USER_SESSIONS;   
 
RUNSTATS ON TABLE DBSCHEMA.ACTIVITIES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;           
RUNSTATS ON TABLE DBSCHEMA.ALERTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.ALERT_MESSAGES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.ALERT_MSG_PREDEF_COLUMN AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.ASSET_CROSS_CHARGE AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.ASSET_DEPENDENCIES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.ASSET_DEPRECIATION AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.ASSET_MAINTENANCE AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.ASSET_ORGANIZATIONS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.ASSET_REFERENCES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.ASSET_RESOURCES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.ASSET_RTF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.BUDGETS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.CALENDAR_DAY_OF_YEAR AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.CALENDAR_EXCEPTIONS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.CHANGE_LOG AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.CLIENT_REFERENCES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.CLIENT_RTF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
 RUNSTATS ON TABLE DBSCHEMA.CONTRACT_BREAKDOWN AND DETAILED INDEXES ALL SHRLEVEL CHANGE;           
RUNSTATS ON TABLE DBSCHEMA.COST_APPROVAL AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.COST_APPROVAL_STATUS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.CRIDEPENDENCIES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.CRI_RTF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.CURRENCY_EXCHANGES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.DEPENDENCIES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.DETAIL_TIMESHEETS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.DOCUMENT_BLOBS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.DOC_RTF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.DUAL AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.EFFORT_WEEK AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.FAVORITE_ACTIVITIES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.FISCAL_CALENDAR AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.FS_XML_MONITOR AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_ASSETS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_ASSET_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_ASSET_RTF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_ASSIGNED_SCORECARDS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_CALENDARS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_CLIENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_CLIENT_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_CLIENT_RTF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_CRI AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_CRI_RTF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_DOCUMENT_SCORECARDS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_DOC_RTF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_POOLS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_POOL_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_PUBLISHED_SCORECARDS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_RESOURCES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_RESOURCE_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_VENDORS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_VENDOR_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_WBS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.HISTORY_WBS_RTF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.LEVEL_TASK_DAY_OF_YEAR AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PDA_LOOKUP AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PENDING_MONITOR AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PMO_DEFAULTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.POOL_REFERENCES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROC_LOG AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROFILES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_ALERTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_ASSIGNMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_BUDGET_BREAKDOWN AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_CHARGEBACK AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_CHARGEBACK_BREAKDOWN AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_COSTBACK AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_COST_CENTERS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_DETAILS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_DISCOUNT AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_RECONCILIATION AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_STATE_DEF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.PROJECT_STATE_TRG AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RATES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RESOURCES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RESOURCE_ASSIGNMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RESOURCE_ASSIGN_ROLES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RESOURCE_ASSIGN_SKILLS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RESOURCE_COST_CENTERS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RESOURCE_EDUCATION AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RESOURCE_EMPLOYMENT_HISTORY AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RESOURCE_INDUSTRY_EXPERIENCE AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RESOURCE_PROJECT_HISTORY AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RESOURCE_READINESS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.RM_ASSIGNMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
 RUNSTATS ON TABLE DBSCHEMA.SMALL_BLOBS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;                  
RUNSTATS ON TABLE DBSCHEMA.STATE_TASK_NEXT_STATE_CNFG AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.SUMMARY_TIMESHEETS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TASK_ASSIGNMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TASK_DAY_OF_YEAR AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TIMEPHASED_DELTA AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TIMEPHASED_PROJECT AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TIMESHEET_APPROVAL_STATUS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_ASSETS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_ASSET_ATTRIBUTES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_ASSET_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_ASSIGNED_SCORECARDS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_CALENDARS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_CHARGECODES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_CLIENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_CLIENT_ATTRIBUTES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_CLIENT_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_COMPETENCIES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_CONTACTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
 RUNSTATS ON TABLE DBSCHEMA.TMT_CONTRACTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;                
RUNSTATS ON TABLE DBSCHEMA.TMT_COSTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_CRI AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_CRI_ATTRIBUTES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_DATAFIELDS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_DOCUMENT_ATTRIBUTES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_DOMAINS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_FACTORS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_GEOGRAPHIES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_GLOBAL_SECURITY AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_NAB AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_ORGANIZATIONS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_POOLS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_POOL_ATTRIBUTES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_POOL_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_PORTFOLIOS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_PUBLISHED_SCORECARDS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_REPORT_SECURITY AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_RESOURCE_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_SCENARIOS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_SCORECARDS_DEF_AST AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_SCORECARDS_DEF_CRI AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_SCORECARDS_DEF_RES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_SCORECARDS_DEF_WBS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_SETTINGS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_TIMECODES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_VENDORS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_VENDOR_ATTRIBUTES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_VENDOR_DOCUMENTS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_WBS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_WBS_ATTRIBUTES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_WORKFLOWS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TMT_WORKFLOW_CYCLES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.TRACE_PROCS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.USER_SESSIONS AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.VENDOR_REFERENCES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.WBS_RTF AND DETAILED INDEXES ALL SHRLEVEL CHANGE;
RUNSTATS ON TABLE DBSCHEMA.WORKFLOW_REPLIES AND DETAILED INDEXES ALL SHRLEVEL CHANGE;

CONNECT RESET;









































 