
-- **************************************************************************
-- PURPOSE:Migrate from 6.1.1.3 to 6.1.1.5
-- **************************************************************************
connect owner/ownerpass
set echo on
SET AUTOCOMMIT ON
spool logs/step2.log

ALTER SESSION SET NLS_DATE_FORMAT='YYYY-MM-DD';

ALTER SESSION SET NLS_TIMESTAMP_FORMAT ='YYYY-MM-DD HH24:MI:SS.FF6';
COMMIT WORK;


CREATE TABLE CHECK_DOC_STATUS (
	PROJECT_ID VARCHAR2(32),
	C9000 NUMBER(10) DEFAULT 0,
	C9001 NUMBER(10) DEFAULT 0,
	C9002 NUMBER(10) DEFAULT 0,
	C9003 NUMBER(10) DEFAULT 0,
	C9004 NUMBER(10) DEFAULT 0,
	C9005 NUMBER(10) DEFAULT 0,
	C9006 NUMBER(10) DEFAULT 0,
	C9007 NUMBER(10) DEFAULT 0,
	C9008 NUMBER(10) DEFAULT 0,
	C9009 NUMBER(10) DEFAULT 0,
	C9010 NUMBER(10) DEFAULT 0,
	C9009A NUMBER(10) DEFAULT 0,
	C9011 NUMBER(10) DEFAULT 0,
	C9012 NUMBER(10) DEFAULT 0,
	C9013 NUMBER(10) DEFAULT 0,
	C9014 NUMBER(10) DEFAULT 0,
	C9015 NUMBER(10) DEFAULT 0,
	C9016 NUMBER(10) DEFAULT 0,
	C9016A NUMBER(10) DEFAULT 0,
	C9017 NUMBER(10) DEFAULT 0,
	C9018 NUMBER(10) DEFAULT 0,
	C9019 NUMBER(10) DEFAULT 0,
	C9020 NUMBER(10) DEFAULT 0,
	C9021 NUMBER(10) DEFAULT 0,
	C9022 NUMBER(10) DEFAULT 0,
	C9023 NUMBER(10) DEFAULT 0,
	C9024 NUMBER(10) DEFAULT 0,
	C9025 NUMBER(10) DEFAULT 0,
	C9026A NUMBER(10) DEFAULT 0,
	C9026 NUMBER(10) DEFAULT 0,
	C9027 NUMBER(10) DEFAULT 0,
	C9028 NUMBER(10) DEFAULT 0,
	C9029 NUMBER(10) DEFAULT 0,
	C9030 NUMBER(10) DEFAULT 0
) TABLESPACE PMO_DATA_64k;

-- CHECK_CRI_STATUS 
CREATE TABLE CHECK_CRI_STATUS (
	PROJECT_ID VARCHAR2(32),
	C9000 NUMBER(10) DEFAULT 0,
	C9001 NUMBER(10) DEFAULT 0,
	C9002 NUMBER(10) DEFAULT 0,
	C9003 NUMBER(10) DEFAULT 0,
	C9004 NUMBER(10) DEFAULT 0,
	C9005 NUMBER(10) DEFAULT 0,
	C9006 NUMBER(10) DEFAULT 0,
	C9007 NUMBER(10) DEFAULT 0,
	C9008 NUMBER(10) DEFAULT 0,
	C9009 NUMBER(10) DEFAULT 0,
	C9010 NUMBER(10) DEFAULT 0,
	C9009A NUMBER(10) DEFAULT 0,
	C9011 NUMBER(10) DEFAULT 0,
	C9012 NUMBER(10) DEFAULT 0,
	C9013 NUMBER(10) DEFAULT 0,
	C9014 NUMBER(10) DEFAULT 0,
	C9015 NUMBER(10) DEFAULT 0,
	C9016 NUMBER(10) DEFAULT 0,
	C9016A NUMBER(10) DEFAULT 0,
	C9017 NUMBER(10) DEFAULT 0,
	C9018 NUMBER(10) DEFAULT 0,
	C9019 NUMBER(10) DEFAULT 0,
	C9020 NUMBER(10) DEFAULT 0,
	C9021 NUMBER(10) DEFAULT 0,
	C9022 NUMBER(10) DEFAULT 0,
	C9023 NUMBER(10) DEFAULT 0,
	C9024 NUMBER(10) DEFAULT 0,
	C9025 NUMBER(10) DEFAULT 0,
	C9026A NUMBER(10) DEFAULT 0,
	C9026 NUMBER(10) DEFAULT 0,
	C9027 NUMBER(10) DEFAULT 0,
	C9028 NUMBER(10) DEFAULT 0,
	C9029 NUMBER(10) DEFAULT 0,
	C9030 NUMBER(10) DEFAULT 0
) TABLESPACE PMO_DATA_64k; 
	
	
UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.5.2.51'
WHERE ELEMENT_ID = 'SERVER_BUILD_NUMBER';

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.5.2.51', DESCRIPTION = '6.5.2.51'
WHERE ELEMENT_ID = 'CLIENT_BUILD_NUMBER';


UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.1.1.5'
WHERE ELEMENT_ID = 'CLIENT_VERSION_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.1.1.5'
WHERE ELEMENT_ID = 'APPLICATION_VERSION';	

INSERT INTO TMT_SETTINGS(LEVEL_ID,TYPE_ID,MAX_RANK,CHILD_COUNT,DELETED_COUNT,ELEMENT_ID,ELEMENT_NAME,PARENT_ID,REC_USER,REC_STATUS,REC_DATETIME,RANK,SETTING_VALUE,DESCRIPTION)
VALUES(0,1,0,0,0,'NUM_OF_BATCH_ALERTS_TO_SEND_____',null,null,'PMO_SUPERVISOR','I','2003-04-28 20:13:28.093002','0000000j',100,'');
  	

DROP TABLE PMO_REBUILD_NEXT_LEVEL_DATA;

DROP TABLE PMO_FIX_DOC;

DROP TABLE PMO_BACKUP_RANK;

DROP TABLE PMO_DOC_PRJ;

DROP TABLE PMO_CRI_PRJ;

Prompt ==  PMO_REBUILD_NEXT_LEVEL_DATA == (C:\PMORACLE\DATABASE\CSP\DOC_FIX.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_REBUILD_NEXT_LEVEL_DATA
(
	ELEMENT_ID VARCHAR2(32),
	RANK VARCHAR2(192)
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_FIX_DOC == (C:\PMORACLE\DATABASE\CSP\DOC_FIX.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_FIX_DOC
(
	ELEMENT_NAME VARCHAR2(255),
	ELEMENT_ID VARCHAR2(32),
	PARENT_ID VARCHAR2(32),
	PROJECT_ID VARCHAR2(32),
	RANK VARCHAR2(255),
	PARENT_RANK VARCHAR2(255),
	LEVEL_ID NUMBER(10),
	TYPE_ID NUMBER(10)
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_BACKUP_RANK == (C:\PMORACLE\DATABASE\CSP\DOC_FIX.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_BACKUP_RANK
(
	RANK VARCHAR2(192)
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_DOC_PRJ == (C:\PMORACLE\DATABASE\CSP\DOC_FIX.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_DOC_PRJ
(
	PROJECT_ID VARCHAR2(32)
) ON COMMIT PRESERVE ROWS;

Prompt ==  PMO_CRI_PRJ == (C:\PMORACLE\DATABASE\CSP\DOC_FIX.CPP)
CREATE GLOBAL TEMPORARY TABLE PMO_CRI_PRJ
(
	PROJECT_ID VARCHAR2(32)
) ON COMMIT PRESERVE ROWS;

COMMIT;

@utils/recompile
@utils/recompile
 
spool off;
exit;
