
-- **************************************************************************
-- PURPOSE:Migrate from 6.1.1.4 to 6.1.1.5
-- **************************************************************************
connect owner/ownerpass
set echo on
SET AUTOCOMMIT ON
spool logs/step2.log

ALTER SESSION SET NLS_DATE_FORMAT='YYYY-MM-DD';

ALTER SESSION SET NLS_TIMESTAMP_FORMAT ='YYYY-MM-DD HH24:MI:SS.FF6';
COMMIT WORK;


UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.5.2.51'
WHERE ELEMENT_ID = 'SERVER_BUILD_NUMBER';

UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.5.2.51', DESCRIPTION = '6.5.2.51'
WHERE ELEMENT_ID = 'CLIENT_BUILD_NUMBER';


UPDATE TMT_SETTINGS
SET ELEMENT_NAME = '6.1.1.5'
WHERE ELEMENT_ID = 'CLIENT_VERSION_NUMBER';

UPDATE TMT_SETTINGS
SET DESCRIPTION = '6.1.1.5'
WHERE ELEMENT_ID = 'APPLICATION_VERSION';  

COMMIT;

@utils/recompile
@utils/recompile
 
spool off;
exit;
