@echo off
if "%DB2TEMPDIR%" == "" goto env_error

if "%1" == "" goto param_error
if "%4" == "" goto schema_error

SET DB=%1
SET USR=%2
SET PWRD=%3
SET UDF=%4

db2 CONNECT TO %DB% USER %USR% using %PWRD%

FOR %%c IN (*.bnd) do db2 bind %%c DATETIME ISO ISOLATION UR BLOCKING ALL QUALIFIER %UDF%
if %ERRORLEVEL%  ==  0 goto :success_msg

:env_error
echo Error: %DB2TEMPDIR% not defined
goto done

:param_error
echo Usage: bindall DATABASE USER PASSWORD
goto done

:schema_error
echo Usage: schema is missing (the last parameter)
goto done

:finish_with_error
db2 connect reset

echo *******************************************************************************
echo ******************************************************* ERROR HAS OCCURED *****
echo *******************************************************************************
@echo off

goto done
:success_msg
db2 connect reset
copy pmoffice.dll "%DB2TEMPDIR%"\function
copy pmoffice.dll "%DB2TEMPDIR%"\function\unfenced


echo *******************************************************************************
echo ************************************** SUCCESSFUL COMPILE, BIND, AND LINK *****
echo *******************************************************************************
@echo off

:done
