-- **************************************************************************
-- PURPOSE:Migrate from 6.1.1.3 to 6.1.1.5
-- **************************************************************************

connect owner/ownerpass
set echo on
spool logs/step1.log

ALTER SESSION SET NLS_DATE_FORMAT='YYYY-MM-DD';

ALTER SESSION SET NLS_TIMESTAMP_FORMAT ='YYYY-MM-DD HH24:MI:SS.FF6';
COMMIT WORK;

@plbddl/PMO_ORASTD.spc
@plbddl/PMO_ORASTD.bdy
@plbddl/PMO_STPU.spc
@plbddl/PMO_STPU.bdy
@plbddl/PMO_CNST.spc

-- =========
-- csp
-- =========

@plb/alerts.plb
@plb/cplan_fd.plb
@plb/cplan_fun.plb
@plb/cri.plb
@plb/cri_func.plb
@plb/doc_fix.plb
@plb/document.plb
@plb/evalue.plb
@plb/factors.plb
@plb/move_wbs.plb
@plb/scorecards.plb
@plb/wbs_ext.plb
@plb/rollupev.plb

COMMIT WORK;	

spool off;
exit;
