
DECLARE
cursor curobj is select 'DROP '||object_type|| ' '||object_name as COMMAND
	from user_objects 
	where object_type ='TABLE' and temporary='Y' ORDER BY object_type;	
BEGIN
    
    for objrec in curobj loop
        dbms_output.put_line('CMD='||objrec.command);
    	execute immediate objrec.command;    	
    end loop;      
    commit;
END;
/
