WHENEVER SQLERROR EXIT SQL.SQLCODE

SET SERVEROUTPUT ON
SET SERVEROUTPUT ON SIZE 1000000

prompt Enter "Owner" name
define own=&OBJ_OWNER

prompt Enter "Connected User" name and password
define con=&CON_USER
define conp=&CON_PASS

spool CreatePmoSyn.log

prompt Creating synonyms for connected user:&con
connect &con/&conp

DECLARE
CURSOR DROP_SYN_CUR IS SELECT 'DROP SYNONYM ' || SYNONYM_NAME AS COMMAND
    FROM USER_SYNONYMS WHERE TABLE_OWNER=UPPER('&own');
CURSOR CR_SYN_CUR IS SELECT 'CREATE SYNONYM '
    || OBJECT_NAME || ' FOR &own' || '.' || OBJECT_NAME AS COMMAND
    FROM DBA_OBJECTS WHERE OWNER=UPPER('&own')
    AND OBJECT_TYPE IN ('TABLE','SEQUENCE','PACKAGE','FUNCTION','PROCEDURE','TYPE');  

BEGIN
FOR DROP_SYN_REC IN DROP_SYN_CUR LOOP
	DBMS_OUTPUT.PUT_LINE('CMD = '||DROP_SYN_REC.COMMAND);
    EXECUTE IMMEDIATE DROP_SYN_REC.COMMAND;   
END LOOP;

FOR CR_SYN_REC IN CR_SYN_CUR LOOP
	DBMS_OUTPUT.PUT_LINE('CMD = '||CR_SYN_REC.COMMAND);
    EXECUTE IMMEDIATE CR_SYN_REC.COMMAND; 
END LOOP;
COMMIT;

END;
/
spool off;
exit;

